# Bulk Delete Github Environments

This is a script that makes it easy to delete all environments in a Github repository.

## Usage

1. Clone this repository:

```bash
git clone https://github.com/zuplo/zuplo
```

2. Install the dependencies:

```bash
npm install
```

3. Set Environment Variables

Copy the `.env.example` file in this directory to `.env` and fill in the required variables.

You will need to create a Github Personal Access Token with the `repo` scope and set it as the `GITHUB_TOKEN` value. As of writing you cannot use Github fine-grained tokens.

4. Run the script:

```bash
npm start
```

You should see output like this:

```
Deleting environment: my-env...
Deleted environment: my-env2...
```
